package com.sztzjy.money_management.config;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.util.Date;

/**
 * 自定义日期序列化工具 Date -> Long
 * 使用方法：通过在实体字段或get方法上使用注解 @JsonSerialize(using = DateToLongSerialized.class) 进行转换输出
 */
public class DateToLongSerialized extends JsonSerializer<Date> {
    @Override
    public void serialize(Date date, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException {
        jsonGenerator.writeNumber(date.getTime());
    }
}
