package com.sztzjy.money_management.controller;

import com.sztzjy.money_management.annotation.AnonymousAccess;
import com.sztzjy.money_management.service.ScoreRankService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "学生排行")
@RequestMapping("api/RankController")
public class RankController {
    @Autowired
    ScoreRankService scoreRankService;

    @AnonymousAccess
    @ApiOperation("执行排行方法")
    @PostMapping("doRank")
    public Boolean doRank(){
        Boolean flag=scoreRankService.doRank();
        if(flag){
            System.out.println("排行方法执行成功");
        }else {
            System.out.println("排行方法执行失败");
        }
        return flag;
    }

    @AnonymousAccess
    @ApiOperation("执行排行方法")
    @PostMapping("doRankOne")
    public Boolean doRankOne(String schoolId){
        Boolean flag=scoreRankService.doRankOne(schoolId);
        if(flag){
            System.out.println("排行方法执行成功");
        }else {
            System.out.println("排行方法执行失败");
        }
        return flag;
    }
}
