package com.sztzjy.money_management.mapper;

import com.sztzjy.money_management.entity.UserInfo;
import com.sztzjy.money_management.entity.UserInfoExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UserInfoMapper {
    long countByExample(UserInfoExample example);

    int deleteByExample(UserInfoExample example);

    int deleteByPrimaryKey(String userid);

    int insert(UserInfo record);

    int insertSelective(UserInfo record);

    List<UserInfo> selectByExample(UserInfoExample example);

    UserInfo selectByPrimaryKey(String userid);

    int updateByExampleSelective(@Param("record") UserInfo record, @Param("example") UserInfoExample example);

    int updateByExample(@Param("record") UserInfo record, @Param("example") UserInfoExample example);

    int updateByPrimaryKeySelective(UserInfo record);

    int updateByPrimaryKey(UserInfo record);

    void batchInsertUserInfo(List<UserInfo> users);

    @Select("select DISTINCT  school_id from userinfo ")
    List<String> selectAllSchoolIds();

    @Select("select userid from userinfo where school_id=#{schoolId}")
    List<String> selectAllUserIdBySchoolId(@Param("schoolId") String schoolId);

    @Select("select DISTINCT class_name from userinfo where school_id=#{schoolId}")
    List<String> selectClassNameBySchoolId(@Param("schoolId") String schoolId);

    @Select("select DISTINCT class_name from userinfo where school_id=#{schoolId} and login_time is not null and role_id = 4")
    List<String> selectClassNameBySchoolIdAndLoginTimeNotNull(String schoolId);
}